Modbot Docs
APIAPI referenceCalendar templates

Update event template

PUT/api/calendar/templates/{id}

Replace a template's name and fields. Events already made from it do not change.

Needs the ViewCalendar and ManageTemplates permissions.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/calendar/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "fields": {      "title": "string",      "description": null,      "lengthMinutes": 0,      "repeat": null,      "repeatDays": null,      "repeatEvery": null,      "repeatTimes": null,      "worldId": null,      "worldListId": null,      "accessType": null,      "region": null,      "imageUrl": null,      "vrChatImageId": null,      "coverPictureId": null,      "category": null,      "languages": null,      "platforms": null,      "tags": null,      "visibility": null,      "notifyMembers": true,      "featured": null,      "publishToVRChat": true,      "publishToDiscord": true,      "publishToGoogle": null,      "postToChannel": true,      "channelId": null,      "mentionRoleId": null,      "autoOpen": true,      "openMinutesBefore": null,      "inviteHostUserId": null,      "inviteStaffUserIds": null,      "inviteListId": null,      "announceFirstJoinInDiscord": true,      "announceFirstJoinInVRChat": true,      "announceFirstJoinOnBluesky": true,      "vrChatTitle": null,      "vrChatDescription": null,      "discordTitle": null,      "discordDescription": null,      "googleTitle": null,      "googleDescription": null    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "fields": {    "title": "string",    "description": null,    "lengthMinutes": 0,    "repeat": null,    "repeatDays": null,    "repeatEvery": null,    "repeatTimes": null,    "worldId": null,    "worldListId": null,    "accessType": null,    "region": null,    "imageUrl": null,    "vrChatImageId": null,    "coverPictureId": null,    "category": null,    "languages": null,    "platforms": null,    "tags": null,    "visibility": null,    "notifyMembers": true,    "featured": null,    "publishToVRChat": true,    "publishToDiscord": true,    "publishToGoogle": null,    "postToChannel": true,    "channelId": null,    "mentionRoleId": null,    "autoOpen": true,    "openMinutesBefore": null,    "inviteHostUserId": null,    "inviteStaffUserIds": null,    "inviteListId": null,    "announceFirstJoinInDiscord": true,    "announceFirstJoinInVRChat": true,    "announceFirstJoinOnBluesky": true,    "vrChatTitle": null,    "vrChatDescription": null,    "discordTitle": null,    "discordDescription": null,    "googleTitle": null,    "googleDescription": null,    "categoryIds": null,    "publishToBluesky": null,    "blueskyPostBeforeMinutes": null,    "blueskyTitle": null,    "blueskyDescription": null,    "postColour": null,    "blueskyPictures": null,    "blueskyWhoCanReply": null,    "blueskyQuotesOff": null,    "blueskyLanguages": null,    "blueskyVideo": null,    "blueskyGif": null,    "googleColour": null,    "googleShowAs": null  },  "createdBy": null,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.